Bug 1474124 - rawtherapee-5.2 is available
rawtherapee-5.2 is available
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: rawtherapee (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Mattia Verga
Fedora Extras Quality Assurance
: FutureFeature, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-23 20:24 EDT by Upstream Release Monitoring
Modified: 2017-08-19 13:49 EDT (History)
4 users (show)

See Also:
Fixed In Version: rawtherapee-5.2-1.fc26
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-19 13:49:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
[patch] Update to 5.2 (#1474124) (863 bytes, patch)
2017-07-23 20:24 EDT, Upstream Release Monitoring
no flags Details | Diff

  None (edit)
Description Upstream Release Monitoring 2017-07-23 20:24:34 EDT
Latest upstream release: 5.2
Current version/release in rawhide: 5.1-1.fc27
URL: http://rawtherapee.com/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/4165/
Comment 1 Upstream Release Monitoring 2017-07-23 20:24:51 EDT
Created attachment 1303387 [details]
[patch] Update to 5.2 (#1474124)
Comment 2 Upstream Release Monitoring 2017-07-23 20:48:44 EDT
hotness's scratch build of rawtherapee-5.2-1.el7.src.rpm for rawhide completed http://koji.fedoraproject.org/koji/taskinfo?taskID=20705529
Comment 3 Mattia Verga 2017-07-24 11:45:59 EDT
Reminder: when building Rawtherapee 5.2 we must enable system KLT library usage and remove the bundled version.

About the new Gimp plugin, it needs to be built as a separate package (gimp-rawtherapee) by extracting the two source files. I will make a new Review request for that after upgrading Rawtherapee.
Comment 4 Matthew Miller 2017-07-24 11:53:09 EDT
Why a separate package rather than a subpackage?
Comment 5 Mattia Verga 2017-07-24 12:02:43 EDT
(In reply to Matthew Miller from comment #4)
> Why a separate package rather than a subpackage?

I'm unsure about that, but mainly for naming convention.
From the packaging guidelines:

If a new package is considered an "addon" package that enhances or adds a new functionality to an existing Fedora package without being useful on its own, its name should reflect this fact.
The new package ("child") should prepend the "parent" package in its name, in the format: %{parent}-%{child}.

I think the plugin would enhance Gimp, so I would expect to be called "Gimp-rawtherapee" instead of "Rawtherapee-gimp".
Also, building the Gimp plugin would require gimp-devel to the BRs.
But I'm open to different point of views. Do you think it would be better to create it as a Rawtherapee subpackage?

p.s. I've just noticed that the plugin requires Gimp 2.9 that we don't have in Fedora yet... I will try if it works also with 2.8, but seems that we can't have it in Fedora yet.
Comment 6 Matthew Miller 2017-07-24 12:12:54 EDT
I think that's mostly meant for packages with their own source. Since this is just part of the main release, I think a subpackage makes sense. It'd naturally be named "rawtherapee-gimp" as a subpackage but it's possible to name it "gimp-rawthereapee" instead. I think the former is better but I see the argument for the other, as well. Maybe ask on the packaging list for guidance?

But I guess if it doesn't build on 2.8, the point is kind of moot for now. Looks like we're still 2.8.x in Rawhide, and, honestly, with the Gimp roadmap I don't see a 2.10 release by next May, so that's probably still the right call.
Comment 7 Upstream Release Monitoring 2017-07-31 14:46:34 EDT
mattia's rawtherapee-5.2-1.fc27 completed http://koji.fedoraproject.org/koji/buildinfo?buildID=942380
Comment 8 Fedora Update System 2017-08-06 09:16:08 EDT
rawtherapee-5.2-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-34ba347688
Comment 9 Fedora Update System 2017-08-07 02:26:24 EDT
rawtherapee-5.2-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-34ba347688
Comment 10 Fedora Update System 2017-08-19 13:49:18 EDT
rawtherapee-5.2-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.